From e09b0ac816d9af1c411b548e43338b432d99eb6d Mon Sep 17 00:00:00 2001
From: rtoy <rtoy>
Date: Wed, 25 Jul 2007 16:33:16 +0000
Subject: [PATCH] Remove the sunos-map-file when linker.sh exits.

---
 tools/linker.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/tools/linker.sh b/tools/linker.sh
index 45aab3b83..88c00bd28 100755
--- a/tools/linker.sh
+++ b/tools/linker.sh
@@ -1,6 +1,6 @@
 #!/bin/sh -x
 
-# $Id: linker.sh,v 1.5 2007/07/24 19:09:16 rtoy Exp $
+# $Id: linker.sh,v 1.6 2007/07/25 16:33:16 rtoy Exp $
 
 # This file was written by Fred Gilham and is placed in the public domain.
 # It comes without warranty of any kind.
@@ -89,6 +89,8 @@ case "$OPSYS" in
 	IFADDR=
 	sed -e "s;@BIFLAG@;$BIFLAG;" -e "s;@IFADDR@;$1;" $SCRIPT > sunos-map-file
 	SCRIPT="-M sunos-map-file"
+	# Remove the sunos-map-file when the script exits.
+	trap 'rm -f sunos-map-file' 0
 	FLAGS=
 	BIFLAG=
 	;;
-- 
GitLab